/*
 *	filename:	sendmx32_16.h
 *	purpose:	allow us to have a 16 bit Net & drivers which
 *				understand the proc32 12-byte mx entries
 */

#ifdef __386__

#define _mxfer_entry32_16 _mxfer_entry32
#define _setmx32_16		  _setmx

#else

struct _mxfer_entry32_16 {
	short unsigned	mxfer_off;
	short unsigned	mxfer_ext_off;
	short unsigned	mxfer_seg,
					mxfer_zero;
	short unsigned	mxfer_len;
	short unsigned	mxfer_ext_len;
};

#define _setmx32_16(mx, data, len)	{\
					(mx)->mxfer_off  	= FP_OFF(data);\
					(mx)->mxfer_ext_off = 0;\
				    (mx)->mxfer_seg  	= FP_SEG(data);\
				    (mx)->mxfer_zero 	= 0;\
				    (mx)->mxfer_len  	= len;\
				    (mx)->mxfer_ext_len = 0; }
#endif
